Subject: Re: 'iw events' stops receiving events after a while on 4.9 + hacks

From: Bastian Bittorf <[email-masked]>
Date: Wed, 17 May 2017 12:08:45 +0200

* Ben Greear <greearb-my8/[email-masked]> [17.05.2017 11:51]:
> I have been keeping an 'iw events' program running with a perl script gathering its
> output and post-processing it.  This has been working for several years on 4.7 and earlier
> kernels, but when testing on 4.9 overnight, I notice that 'iw events' is not showing any input.  'strace' shows
> that it is waiting on recvmsg.  If I start a second 'iw events' then it will get
> wifi events as expected.

me too, also seen on 4.4 - i'am happy for debug ideas.

bye, bastian